$(document).ready(function()
{
    removeDitto(); //Remove 'ditto' in first row.

    $(document).on('change', '.type', function()
    {
        var type = $(this).val();
        $(this).parents('tr').find('td > div.in, td > div.out').hide();
        $(this).parents('tr').find('td > div.' + type).show();
        $(this).parents('tr').find('select.in, select.out').attr('disabled', true).next('.chosen-container').hide().find('*').attr('disabled', true);
        $(this).parents('tr').find('select.' + type).attr('disabled', false).next('.chosen-container').show().find('*').attr('disabled', false);
    })

    $('[name^=product]').change(function()
    {
        var $tr = $(this).parents('tr');
        if($tr.find('[name^=type]').val() != 'in') return false;

        var product = $(this).val();
        $.get(createLink('product', 'ajaxGetSubject', 'product=' + product), function(category)
        {
            if(category != '0') $tr.find('[name^=category]').val(category).trigger('chosen:updated');
        });
    });

    $('.type').change();
});
